package contract_request

import (
	"private-go-sdk/http"
	"encoding/json"
	"private-go-sdk/model/common"
)

type ContractTodoLinkRequest struct {
	ContractInfo *common.ContractRequest `json:"contractInfo"`
	UserInfo *common.UserInfoRequest `json:"userInfo,omitempty"`
}
func (obj ContractTodoLinkRequest) GetUrl() string {
    return "/contract/todo/link"
}

func (obj ContractTodoLinkRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    jsonBytes, _ := json.Marshal(obj)
    parameter.SetJsonParamer(string(jsonBytes))
    return parameter
}
